addpath('./liblinear');
addpath('./liblinear/matlab');
trainsize=30;
all_S_fold='./score';
score=dir(all_S_fold);
traindata.x=[];
traindata.y=[];
testdata.x =[];
testdata.y =[];
for i=3:length(score)
    load ([all_S_fold '/' score(i).name]);
    traindata.x=[traindata.x; L2_positive_data(1:trainsize,:)];
    traindata.y=[traindata.y; ones(trainsize,1)*(i-2)];
    testdata.x=[testdata.x; L2_positive_data(trainsize+1:end,:)];
    testdata.y=[testdata.y; ones(size(L2_positive_data,1)-trainsize,1)*(i-2)];
end;
% normalized them to [0 1]
MINV= min(  min(traindata.x(:)), min(testdata.x(:)) );
MAXV= max(  max(traindata.x(:)), max(testdata.x(:)) );
traindata.x=(traindata.x-MINV)/(MAXV-MINV);
testdata.x=(testdata.x-MINV)/(MAXV-MINV);
C=10; 
para=['-s 0 -c ' num2str(C) '-q']; 
model = train(traindata.y,sparse(double (traindata.x)),para);
[L0_label,L0_acc]=predict(testdata.y, sparse(double(testdata.x)), model);
save L0_acc L0_acc;
